$(document).ready(function() {var formatter = new CucumberHTML.DOMFormatter($('.cucumber-report'));formatter.uri("use_cases/declarative/buy_fruit_use_case.feature");
formatter.feature({
  "name": "Buy fruit Declarative Version",
  "description": "\tDescription: A user buys a fruit from the vending machine\n\tActors: User\n\t\n\tThis version tries to be more declarative than the first version. This has the advantage\n\tthat it reads better, but the disadvantage, that a lot of the details are kept in the \n\tstep definitions.",
  "keyword": "Feature"
});
formatter.scenario({
  "name": "Buy a fruit with enough money",
  "description": "",
  "keyword": "Scenario"
});
formatter.step({
  "name": "the vending machine has fruits",
  "keyword": "Given "
});
formatter.match({
  "location": "VendingMachineSteps.theVendingMachineHasFruits()"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "the user enters enough money for a fruit",
  "keyword": "When "
});
formatter.match({
  "location": "VendingMachineSteps.theUserEntersEnoughMoneyForAFruit()"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "the user selects a fruit",
  "keyword": "And "
});
formatter.match({
  "location": "VendingMachineSteps.theUserSelectsTheFruit()"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "the fruit will be dispensed",
  "keyword": "Then "
});
formatter.match({
  "location": "VendingMachineSteps.theFruitWillBeDispensed()"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "the machine returns the rest money",
  "keyword": "And "
});
formatter.match({
  "location": "VendingMachineSteps.theMachineReturnsTheRestMoney()"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "the machine remembers its earnings",
  "keyword": "And "
});
formatter.match({
  "location": "VendingMachineSteps.theMachineRemembersItsEarnings()"
});
formatter.result({
  "status": "passed"
});
formatter.scenario({
  "name": "Selecting a fruit when not enough money is entered",
  "description": "",
  "keyword": "Scenario"
});
formatter.step({
  "name": "the vending machine has fruits",
  "keyword": "Given "
});
formatter.match({
  "location": "VendingMachineSteps.theVendingMachineHasFruits()"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "the user selects a fruit",
  "keyword": "When "
});
formatter.match({
  "location": "VendingMachineSteps.theUserSelectsTheFruit()"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "the user enters enough money for the fruit",
  "keyword": "And "
});
formatter.match({
  "location": "VendingMachineSteps.theUserEntersEnoughMoneyForAFruit()"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "the fruit will be dispensed",
  "keyword": "Then "
});
formatter.match({
  "location": "VendingMachineSteps.theFruitWillBeDispensed()"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "the machine returns the rest money",
  "keyword": "And "
});
formatter.match({
  "location": "VendingMachineSteps.theMachineReturnsTheRestMoney()"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "the machine remembers its earnings",
  "keyword": "And "
});
formatter.match({
  "location": "VendingMachineSteps.theMachineRemembersItsEarnings()"
});
formatter.result({
  "status": "passed"
});
formatter.scenario({
  "name": "No fruit available",
  "description": "",
  "keyword": "Scenario"
});
formatter.step({
  "name": "the vending machine has no fruits",
  "keyword": "Given "
});
formatter.match({
  "location": "VendingMachineSteps.theVendingMachineHasNoFruits()"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "the user enters enough money for a fruit",
  "keyword": "When "
});
formatter.match({
  "location": "VendingMachineSteps.theUserEntersEnoughMoneyForAFruit()"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "the user selects the fruit",
  "keyword": "And "
});
formatter.match({
  "location": "VendingMachineSteps.theUserSelectsTheFruit()"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "nothing is dispensed",
  "keyword": "Then "
});
formatter.match({
  "location": "VendingMachineSteps.nothingIsDispensed()"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "the machine returns the money",
  "keyword": "And "
});
formatter.match({
  "location": "VendingMachineSteps.theMachineReturnsTheMoney()"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "the machine has earned nothing",
  "keyword": "And "
});
formatter.match({
  "location": "VendingMachineSteps.theMachineHasEarnedNothing()"
});
formatter.result({
  "status": "passed"
});
formatter.scenario({
  "name": "No fruit available: select fruit first",
  "description": "",
  "keyword": "Scenario"
});
formatter.step({
  "name": "the vending machine has no fruits",
  "keyword": "Given "
});
formatter.match({
  "location": "VendingMachineSteps.theVendingMachineHasNoFruits()"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "the user selects a fruit",
  "keyword": "When "
});
formatter.match({
  "location": "VendingMachineSteps.theUserSelectsTheFruit()"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "the user enters enough money for the fruit",
  "keyword": "And "
});
formatter.match({
  "location": "VendingMachineSteps.theUserEntersEnoughMoneyForAFruit()"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "nothing is dispensed",
  "keyword": "Then "
});
formatter.match({
  "location": "VendingMachineSteps.nothingIsDispensed()"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "no money is returned",
  "keyword": "And "
});
formatter.match({
  "location": "VendingMachineSteps.noMoneyIsReturned()"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "the user cancels the operation",
  "keyword": "When "
});
formatter.match({
  "location": "VendingMachineSteps.theUserCancelsTheOperation()"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "the machine returns the money",
  "keyword": "Then "
});
formatter.match({
  "location": "VendingMachineSteps.theMachineReturnsTheMoney()"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "the machine has earned nothing",
  "keyword": "And "
});
formatter.match({
  "location": "VendingMachineSteps.theMachineHasEarnedNothing()"
});
formatter.result({
  "status": "passed"
});
formatter.scenario({
  "name": "Selecting a fruit when not enough money is entered then selecting another fruit",
  "description": "",
  "keyword": "Scenario"
});
formatter.step({
  "name": "the vending machine has fruits",
  "keyword": "Given "
});
formatter.match({
  "location": "VendingMachineSteps.theVendingMachineHasFruits()"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "the user enters not enough money for the first fruit",
  "keyword": "And "
});
formatter.match({
  "location": "VendingMachineSteps.theUserEntersNotEnoughMoneyForTheFirstFruit()"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "the user selects the first fruit",
  "keyword": "When "
});
formatter.match({
  "location": "VendingMachineSteps.theUserSelectsTheFirstFruit()"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "nothing is dispensed",
  "keyword": "Then "
});
formatter.match({
  "location": "VendingMachineSteps.nothingIsDispensed()"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "the user selects a second fruit for which he entered enough money",
  "keyword": "When "
});
formatter.match({
  "location": "VendingMachineSteps.theUserSelectsASecondFruitForWhichHeEnteredEnoughMoney()"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "the fruit will be dispensed",
  "keyword": "Then "
});
formatter.match({
  "location": "VendingMachineSteps.theFruitWillBeDispensed()"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "the machine returns the rest money",
  "keyword": "And "
});
formatter.match({
  "location": "VendingMachineSteps.theMachineReturnsTheRestMoney()"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "the machine remembers its earnings",
  "keyword": "And "
});
formatter.match({
  "location": "VendingMachineSteps.theMachineRemembersItsEarnings()"
});
formatter.result({
  "status": "passed"
});
formatter.uri("use_cases/declarative/cancel_use_case.feature");
formatter.feature({
  "name": "Cancel Declarative Version",
  "description": "\tDescription: The user cancels the operation\n\tActors: User",
  "keyword": "Feature"
});
formatter.scenario({
  "name": "Canceling the operation",
  "description": "",
  "keyword": "Scenario"
});
formatter.step({
  "name": "the vending machine has fruits",
  "keyword": "Given "
});
formatter.match({
  "location": "VendingMachineSteps.theVendingMachineHasFruits()"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "the user enters enough money for a fruit",
  "keyword": "And "
});
formatter.match({
  "location": "VendingMachineSteps.theUserEntersEnoughMoneyForAFruit()"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "the user cancels the operation",
  "keyword": "When "
});
formatter.match({
  "location": "VendingMachineSteps.theUserCancelsTheOperation()"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "the machine returns the money",
  "keyword": "Then "
});
formatter.match({
  "location": "VendingMachineSteps.theMachineReturnsTheMoney()"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "the machine has earned nothing",
  "keyword": "And "
});
formatter.match({
  "location": "VendingMachineSteps.theMachineHasEarnedNothing()"
});
formatter.result({
  "status": "passed"
});
formatter.scenario({
  "name": "Pressing cancel after selecting a fruit",
  "description": "",
  "keyword": "Scenario"
});
formatter.step({
  "name": "the vending machine has fruits",
  "keyword": "Given "
});
formatter.match({
  "location": "VendingMachineSteps.theVendingMachineHasFruits()"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "the user selects a fruit",
  "keyword": "And "
});
formatter.match({
  "location": "VendingMachineSteps.theUserSelectsTheFruit()"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "the user cancels the operation",
  "keyword": "When "
});
formatter.match({
  "location": "VendingMachineSteps.theUserCancelsTheOperation()"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "no money is returned",
  "keyword": "Then "
});
formatter.match({
  "location": "VendingMachineSteps.noMoneyIsReturned()"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "the machine has earned nothing",
  "keyword": "And "
});
formatter.match({
  "location": "VendingMachineSteps.theMachineHasEarnedNothing()"
});
formatter.result({
  "status": "passed"
});
formatter.uri("use_cases/imperative/buy_fruit_use_case.feature");
formatter.feature({
  "name": "Buy fruit",
  "description": "\tDescription: A user buys a fruit from the vending machine\n\tActors: User",
  "keyword": "Feature"
});
formatter.scenario({
  "name": "Buy a fruit with enough money",
  "description": "",
  "keyword": "Scenario"
});
formatter.step({
  "name": "the vending machine has 2 bananas and 2 apples",
  "keyword": "Given "
});
formatter.match({
  "location": "VendingMachineSteps.theVendingMachineHasBananasAndApples(int,int)"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "a banana costs 7 kr and an apple 3 kr",
  "keyword": "And "
});
formatter.match({
  "location": "VendingMachineSteps.aBananaCostsKrAndAnAppleKr(int,int)"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "user Bob enters 1 kr",
  "keyword": "When "
});
formatter.match({
  "location": "VendingMachineSteps.userBobEntersKr(int)"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "user Bob enters 5 kr",
  "keyword": "And "
});
formatter.match({
  "location": "VendingMachineSteps.userBobEntersKr(int)"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "Bob presses the button for \"APPLE\"",
  "keyword": "And "
});
formatter.match({
  "location": "VendingMachineSteps.bobPressesTheButtonFor(String)"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "an \"APPLE\" is dispensed",
  "keyword": "Then "
});
formatter.match({
  "location": "VendingMachineSteps.anIsDispensed(String)"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "3 kr are returned",
  "keyword": "And "
});
formatter.match({
  "location": "VendingMachineSteps.krAreReturned(int)"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "the machine has earned 3 kr",
  "keyword": "And "
});
formatter.match({
  "location": "VendingMachineSteps.theMachineHasEarnedKr(int)"
});
formatter.result({
  "status": "passed"
});
formatter.scenario({
  "name": "Selecting a fruit when not enough money is entered",
  "description": "",
  "keyword": "Scenario"
});
formatter.step({
  "name": "the vending machine has 2 bananas and 2 apples",
  "keyword": "Given "
});
formatter.match({
  "location": "VendingMachineSteps.theVendingMachineHasBananasAndApples(int,int)"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "a banana costs 7 kr and an apple 3 kr",
  "keyword": "And "
});
formatter.match({
  "location": "VendingMachineSteps.aBananaCostsKrAndAnAppleKr(int,int)"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "user Bob enters 5 kr",
  "keyword": "When "
});
formatter.match({
  "location": "VendingMachineSteps.userBobEntersKr(int)"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "Bob presses the button for \"BANANA\"",
  "keyword": "And "
});
formatter.match({
  "location": "VendingMachineSteps.bobPressesTheButtonFor(String)"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "nothing is dispensed",
  "keyword": "Then "
});
formatter.match({
  "location": "VendingMachineSteps.nothingIsDispensed()"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "no money is returned",
  "keyword": "And "
});
formatter.match({
  "location": "VendingMachineSteps.noMoneyIsReturned()"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "user Bob enters 1 kr",
  "keyword": "When "
});
formatter.match({
  "location": "VendingMachineSteps.userBobEntersKr(int)"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "user Bob enters 1 kr",
  "keyword": "And "
});
formatter.match({
  "location": "VendingMachineSteps.userBobEntersKr(int)"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "an \"BANANA\" is dispensed",
  "keyword": "Then "
});
formatter.match({
  "location": "VendingMachineSteps.anIsDispensed(String)"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "no money is returned",
  "keyword": "And "
});
formatter.match({
  "location": "VendingMachineSteps.noMoneyIsReturned()"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "the machine has earned 7 kr",
  "keyword": "And "
});
formatter.match({
  "location": "VendingMachineSteps.theMachineHasEarnedKr(int)"
});
formatter.result({
  "status": "passed"
});
formatter.scenario({
  "name": "No fruit available",
  "description": "",
  "keyword": "Scenario"
});
formatter.step({
  "name": "the vending machine has 2 bananas and 0 apples",
  "keyword": "Given "
});
formatter.match({
  "location": "VendingMachineSteps.theVendingMachineHasBananasAndApples(int,int)"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "a banana costs 7 kr and an apple 3 kr",
  "keyword": "And "
});
formatter.match({
  "location": "VendingMachineSteps.aBananaCostsKrAndAnAppleKr(int,int)"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "user Bob enters 3 kr",
  "keyword": "When "
});
formatter.match({
  "location": "VendingMachineSteps.userBobEntersKr(int)"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "Bob presses the button for \"APPLE\"",
  "keyword": "And "
});
formatter.match({
  "location": "VendingMachineSteps.bobPressesTheButtonFor(String)"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "nothing is dispensed",
  "keyword": "Then "
});
formatter.match({
  "location": "VendingMachineSteps.nothingIsDispensed()"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "3 kr are returned",
  "keyword": "And "
});
formatter.match({
  "location": "VendingMachineSteps.krAreReturned(int)"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "the machine has earned 0 kr",
  "keyword": "And "
});
formatter.match({
  "location": "VendingMachineSteps.theMachineHasEarnedKr(int)"
});
formatter.result({
  "status": "passed"
});
formatter.scenario({
  "name": "No fruit available: select fruit first",
  "description": "",
  "keyword": "Scenario"
});
formatter.step({
  "name": "the vending machine has 2 bananas and 0 apples",
  "keyword": "Given "
});
formatter.match({
  "location": "VendingMachineSteps.theVendingMachineHasBananasAndApples(int,int)"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "a banana costs 7 kr and an apple 3 kr",
  "keyword": "And "
});
formatter.match({
  "location": "VendingMachineSteps.aBananaCostsKrAndAnAppleKr(int,int)"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "Bob presses the button for \"APPLE\"",
  "keyword": "When "
});
formatter.match({
  "location": "VendingMachineSteps.bobPressesTheButtonFor(String)"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "user Bob enters 3 kr",
  "keyword": "And "
});
formatter.match({
  "location": "VendingMachineSteps.userBobEntersKr(int)"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "nothing is dispensed",
  "keyword": "Then "
});
formatter.match({
  "location": "VendingMachineSteps.nothingIsDispensed()"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "no money is returned",
  "keyword": "And "
});
formatter.match({
  "location": "VendingMachineSteps.noMoneyIsReturned()"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "Bob presses the cancel button",
  "keyword": "When "
});
formatter.match({
  "location": "VendingMachineSteps.bobPressesTheCancelButton()"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "3 kr are returned",
  "keyword": "Then "
});
formatter.match({
  "location": "VendingMachineSteps.krAreReturned(int)"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "the machine has earned 0 kr",
  "keyword": "And "
});
formatter.match({
  "location": "VendingMachineSteps.theMachineHasEarnedKr(int)"
});
formatter.result({
  "status": "passed"
});
formatter.uri("use_cases/imperative/cancel_use_case.feature");
formatter.feature({
  "name": "Cancel",
  "description": "\tDescription: The user cancels the operation\n\tActors: User",
  "keyword": "Feature"
});
formatter.scenario({
  "name": "Canceling the operation",
  "description": "",
  "keyword": "Scenario"
});
formatter.step({
  "name": "the vending machine has 2 bananas and 2 apples",
  "keyword": "Given "
});
formatter.match({
  "location": "VendingMachineSteps.theVendingMachineHasBananasAndApples(int,int)"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "a banana costs 7 kr and an apple 3 kr",
  "keyword": "And "
});
formatter.match({
  "location": "VendingMachineSteps.aBananaCostsKrAndAnAppleKr(int,int)"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "user Bob enters 2 kr",
  "keyword": "When "
});
formatter.match({
  "location": "VendingMachineSteps.userBobEntersKr(int)"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "Bob presses the button for \"APPLE\"",
  "keyword": "And "
});
formatter.match({
  "location": "VendingMachineSteps.bobPressesTheButtonFor(String)"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "nothing is dispensed",
  "keyword": "Then "
});
formatter.match({
  "location": "VendingMachineSteps.nothingIsDispensed()"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "no money is returned",
  "keyword": "And "
});
formatter.match({
  "location": "VendingMachineSteps.noMoneyIsReturned()"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "Bob presses the cancel button",
  "keyword": "When "
});
formatter.match({
  "location": "VendingMachineSteps.bobPressesTheCancelButton()"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "nothing is dispensed",
  "keyword": "Then "
});
formatter.match({
  "location": "VendingMachineSteps.nothingIsDispensed()"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "2 kr is returned",
  "keyword": "And "
});
formatter.match({
  "location": "VendingMachineSteps.krIsReturned(int)"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "the machine has earned 0 kr",
  "keyword": "And "
});
formatter.match({
  "location": "VendingMachineSteps.theMachineHasEarnedKr(int)"
});
formatter.result({
  "status": "passed"
});
formatter.scenario({
  "name": "Just pressing cancel",
  "description": "",
  "keyword": "Scenario"
});
formatter.step({
  "name": "the vending machine has 2 bananas and 2 apples",
  "keyword": "Given "
});
formatter.match({
  "location": "VendingMachineSteps.theVendingMachineHasBananasAndApples(int,int)"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "a banana costs 7 kr and an apple 3 kr",
  "keyword": "And "
});
formatter.match({
  "location": "VendingMachineSteps.aBananaCostsKrAndAnAppleKr(int,int)"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "Bob presses the cancel button",
  "keyword": "When "
});
formatter.match({
  "location": "VendingMachineSteps.bobPressesTheCancelButton()"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "nothing is dispensed",
  "keyword": "Then "
});
formatter.match({
  "location": "VendingMachineSteps.nothingIsDispensed()"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "no money is returned",
  "keyword": "And "
});
formatter.match({
  "location": "VendingMachineSteps.noMoneyIsReturned()"
});
formatter.result({
  "status": "passed"
});
formatter.step({
  "name": "the machine has earned 0 kr",
  "keyword": "And "
});
formatter.match({
  "location": "VendingMachineSteps.theMachineHasEarnedKr(int)"
});
formatter.result({
  "status": "passed"
});
});